Bug 7116 - pdb_ldap performance fixes
pdb_ldap performance fixes
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: Domain Control
3.4.5
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-08 06:37 UTC by Stefan Metzmacher
Modified: 2012-05-23 20:09 UTC (History)
2 users (show)

See Also:


Attachments
Backport from master to v3-5-test (17.56 KB, patch)
2010-02-08 06:38 UTC, Stefan Metzmacher
gd: review+
Details
Additional Patch for v3-5 (1.76 KB, patch)
2010-02-09 09:26 UTC, Stefan Metzmacher
gd: review+
Details
One more patch for v3-5 (919 bytes, patch)
2010-02-10 11:29 UTC, Stefan Metzmacher
gd: review+
Details
Backports to v3-4 (31.79 KB, patch)
2010-02-10 11:34 UTC, Stefan Metzmacher
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2010-02-08 06:37:54 UTC
We should avoid unneeded ldap searches if we can otherwise
we put two much load on the ldap servers in large environments.
Comment 1 Stefan Metzmacher 2010-02-08 06:38:47 UTC
Created attachment 5296 [details]
Backport from master to v3-5-test
Comment 2 Stefan Metzmacher 2010-02-09 09:26:05 UTC
Created attachment 5301 [details]
Additional Patch for v3-5
Comment 3 Guenther Deschner 2010-02-09 12:11:21 UTC
Comment on attachment 5296 [details]
Backport from master to v3-5-test

looks fine to me.
Comment 4 Guenther Deschner 2010-02-09 12:12:18 UTC
Comment on attachment 5301 [details]
Additional Patch for v3-5

looks fine to me as well (and reminds me to check where we are testwise with 3.5 on the buildfarm)
Comment 5 Guenther Deschner 2010-02-09 12:14:28 UTC
Karolin, please add to v3-5-test
Comment 6 Karolin Seeger 2010-02-10 02:56:58 UTC
Pushed to v3-5-test.

Re-assigning to Metze. Metze, should this one be fixed for 3.4.6 as well?
If not, please go ahead and close out the bug report.

Thanks!
Comment 7 Stefan Metzmacher 2010-02-10 11:29:09 UTC
Created attachment 5318 [details]
One more patch for v3-5
Comment 8 Stefan Metzmacher 2010-02-10 11:34:47 UTC
Created attachment 5319 [details]
Backports to v3-4
Comment 9 Guenther Deschner 2010-02-11 04:48:41 UTC
Comment on attachment 5318 [details]
One more patch for v3-5

yep, looks fine.
Comment 10 Guenther Deschner 2010-02-11 04:51:03 UTC
Karolin, please go ahead :-) Thanks.
Comment 11 Karolin Seeger 2010-02-11 05:01:18 UTC
(In reply to comment #7)
> Created an attachment (id=5318) [details]
> One more patch for v3-5
> 

Pushed.
Comment 12 Karolin Seeger 2010-02-11 05:03:32 UTC
(In reply to comment #8)
> Created an attachment (id=5319) [details]
> Backports to v3-4
> 

Pushed.
Comment 13 Karolin Seeger 2010-02-11 05:04:02 UTC
Pushed to all branches.
Closing out bug report.

Thanks!